com.sun.jna.platform.win32

## Class OaIdl.VARDESC._VARDESC

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.Union
    - - com.sun.jna.platform.win32.OaIdl.VARDESC._VARDESC

Direct Known Subclasses:
  OaIdl.VARDESC._VARDESC.ByReference

Enclosing class:
  OaIdl.VARDESC

    public static class OaIdl.VARDESC._VARDESC
    extends Union

### Nested Class Summary

Nested Classes
`static class` `OaIdl.VARDESC._VARDESC.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`Variant.VARIANT.ByReference` `lpvarValue` [case()] C type : VARIANT*
`NativeLong` `oInst`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`_VARDESC()`
`_VARDESC(NativeLong oInst)`
`_VARDESC(Pointer pointer)`
`_VARDESC(Variant.VARIANT.ByReference lpvarValue)`

### Method Summary

### Methods inherited from class com.sun.jna.Union

`getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### oInst

    public NativeLong oInst

#### lpvarValue

    public Variant.VARIANT.ByReference lpvarValue

[case()]
C type : VARIANT*

### Constructor Detail

#### _VARDESC

    public _VARDESC()

#### _VARDESC

    public _VARDESC(Pointer pointer)

#### _VARDESC

    public _VARDESC(Variant.VARIANT.ByReference lpvarValue)

Parameters:
  `lpvarValue` - [case()]
  C type : VARIANT*

#### _VARDESC

    public _VARDESC(NativeLong oInst)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.